use aytina;

#[macro_use]
extern crate clap;

fn main() {
    let yaml = load_yaml!("cli.yaml");
    let args = clap::App::from_yaml(yaml).get_matches();

    match args.subcommand() {
        ("check", args) => {
            aytina::check(args.unwrap().is_present("notify")).unwrap();
        },
        ("autocheck", args) => {
            aytina::autocheck(args.unwrap().value_of("TIME").unwrap()).unwrap();
        },
        ("add", args) => {
            let projects: Vec<&str> = args.unwrap().values_of("PROJECT")
                .unwrap().collect();
            aytina::Config::new().unwrap().add(&projects).unwrap();
        },
        ("remove", args) => {
            let projects: Vec<&str> = args.unwrap().values_of("PROJECT")
                .unwrap().collect();
            aytina::Config::new().unwrap().remove(&projects).unwrap();
        },
        _ => {}
    }
}